Bug 821003 - rhc-admin-move errors when trying to move scalable apps
rhc-admin-move errors when trying to move scalable apps
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rajat Chopra
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 10:31 EDT by Thomas Wiest
Modified: 2015-05-14 21:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:58:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2012-05-11 10:31:57 EDT
Description of problem:
When I try to move scalable apps, I get the following errors:

# rhc-admin-move --gear_uuid db0999b5179144118347782aaa0c728e
ERROR: Specify app name (-a) and rhlogin (-l) or app uuid (--app_uuid)


# rhc-admin-move --app_uuid b04816f7f1b545f2a05b32aed2298faa
/usr/lib/ruby/gems/1.8/gems/stickshift-controller-0.10.8/lib/stickshift-controller/app/models/application.rb:15:
warning: already initialized constant APP_NAME_MAX_LENGTH
[...removed other constant warnings...]
controller/app/models/validators/namespace_validator.rb:3:
warning: already initialized constant NAMESPACE_MIN_LENGTH
/usr/bin/rhc-admin-move:132:in `move_gear': wrong number of arguments (5 for 6) (ArgumentError)
         from /usr/bin/rhc-admin-move:132
URL: http://scalar-ramr.stg.rhcloud.com
Login: [REDACTED]
App UUID: b04816f7f1b545f2a05b32aed2298faa


OPS would prefer it if all we had to specify to rhc-admin-move was the gear_uuid (like the first command I tried above) and that rhc-admin-move would look up whatever specifics it needed from the DB. We would prefer this whether or not the gear is part of a scalable app or not.


Version-Release number of selected component (if applicable):
rhc-broker-0.91.19-1.el6_2.noarch


How reproducible:
very


Steps to Reproduce:
1. Try to move a gear of a scalable app
2. Notice the errors as above


Actual results:
The errors above


Expected results:
It should move the gear
Comment 1 Rajat Chopra 2012-05-11 14:46:42 EDT
fixed with rev#c99441d3b6696f2a5bb446e774f1d7b2f42ef9b0
Comment 2 Johnny Liu 2012-05-15 06:35:32 EDT
Verified this bug with devenv_1772, and PASS.

Now support about gear move functionality has been rolled back.

# rhc-admin-move -h
== Synopsis

rhc-admin-move: Run cartridge hooks

== Usage

rhc-admin-move OPTIONS

Options:
-l|--rhlogin <rhlogin>
    Red Hat login (RHN or OpenShift login with OpenShift Express access)
-a|--app     <application>
    Application name (alphanumeric)
--app_uuid   <app_uuid>
    Application uuid
--destination_district_uuid <district_uuid>
    Destination district uuid
-i|--target_server_identity <server_identity>
    Target server identity
-p|--node_profile <node_profile>
    Node profile
-t|--timeout
    timeout
--allow_change_district
    Allow the move to be between districts
-h|--help
    Show Usage info


This issue will be tracking in BZ#811576, and US2298 has been created for this issue.

Note You need to log in before you can comment on or make changes to this bug.